Package org.eclipse.birt.report.engine.api.script.element

# Interface IDataBinding

public interface IDataBinding
Represents the design of an DataBinding in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getAggregateOn()`
Returns aggregateOn of column binding
`String`
`getDataType()`
Returns data type of column binding.
`String`
`getExpression()`
Returns expression of column binding
`String`
`getExpressionType()`
Gets the expression type of the column binding.
`String`
`getName()`
Returns the name of column binding.
`org.eclipse.birt.report.model.api.core.IStructure`
`getStructure()`
Returns structure.
`void`
`setAggregateOn(String on)`
Sets aggregateOn of column binding.
`void`
`setDataType(String dataType)`
Sets data type of column binding
`void`
`setExpression(String expression)`
Sets expression of column binding.
`void`
`setExpressionType(String type)`
Sets the expression type of the column binding.
`void`
`setName(String name)`
Sets the name of column binding.

## Method Details

### getName

String getName()
Returns the name of column binding.

Returns:
  name name of column binding.

### setName

void setName(String name) throws ScriptException
Sets the name of column binding.

Parameters:
  `name` - name of column binding.
Throws:
  `ScriptException`

### getExpression

String getExpression()
Returns expression of column binding

Returns:
  expression of column binding

### setExpression

void setExpression(String expression) throws ScriptException
Sets expression of column binding.

Parameters:
  `expression` - expression of column binding.
Throws:
  `ScriptException`

### getExpressionType

String getExpressionType()
Gets the expression type of the column binding.

Returns:
  the expression type of the column binding.

### setExpressionType

void setExpressionType(String type) throws ScriptException
Sets the expression type of the column binding.

Parameters:
  `type` - the expression type of the column binding.
Throws:
  `ScriptException`

### getDataType

String getDataType()
Returns data type of column binding.

- `any`
- `integer`
- `string`
- `date-time`
- `decimal`
- `float`
- `boolean`

Returns:
  data type of column binding

### setDataType

void setDataType(String dataType) throws ScriptException
Sets data type of column binding

Parameters:
  `dataType` -
Throws:
  `ScriptException`

### getAggregateOn

String getAggregateOn()
Returns aggregateOn of column binding

Returns:
  aggregateOn of column binding

### setAggregateOn

void setAggregateOn(String on) throws ScriptException
Sets aggregateOn of column binding.

Parameters:
  `on` - aggregateOn of column binding.
Throws:
  `ScriptException`

### getStructure

org.eclipse.birt.report.model.api.core.IStructure getStructure()
Returns structure.

Returns:
  structure